%define name posterazor
%define version 1.5
%define release %mkrel 4

Summary:        PosteRazor cuts a raster image into pieces
Name:           %{name} 
Version:        %{version} 
Release:        %{release} 
Source0:        http://prdownloads.sourceforge.net/%{name}/PosteRazor-%{version}-Source.zip
Patch0:         %{name}-%{version}-includes.patch
Patch1:         posterazor-1.5-format-security.patch
Source1:        %{name}.png
URL:            http://posterazor.sourceforge.net 
Group:          Graphics 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:        GPLv3+
BuildRequires:	cmake
BuildRequires:	%{_lib}freeimage-devel
BuildRequires:	%{_lib}xpm-devel
BuildRequires:	%{_lib}fltk-devel

%description
The PosteRazor cuts a raster image into pieces which can afterwards be
printed out and assembled to a poster. As input, the PosteRazor takes a
raster image. The resulting poster is saved as a multipage PDF document.
An easy to use, wizard like user interface guides through 5 steps.

%prep
%setup -q -c
%patch0 -p1 -b .includes
%patch1 -p1 -b .formatsec
for i in CHANGES LICENSE README
do
 sed -e 's/\r//' $i > $i.tmp
 touch -c -r $i $i.tmp
 mv $i.tmp $i
done

# Add default constructor for translation classes (required by GCC 4.6)
for i in French English German Italian Dutch BrazilianPortuguese
do
 sed -i -e "/public:/a Translation$i\(\){}" src/Translation$i.h
done 

# To build with GCC 4.7
sed -i -e '/PosteRazorWizardDialogController.h/a#include <unistd.h>' src/FlPosteRazorDialog.h

%build
cd src
%cmake
%make

%install
rm -rf %buildroot
cd src/build
install -D -m755 PosteRazor $RPM_BUILD_ROOT/%{_bindir}/posterazor
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PosteRazor
Comment=Cut raster image into pieces
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Utility;X-MandrivaLinux-Multimedia-Graphics;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_menus


%postun 
%clean_menus

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Aug 09 2016 adrianomorselli <adrianomorselli> 1.5.3-4uplos2016
- rebuild

* Fri Apr 08 2016 bb <bb> 1.5.3-4pclos2016
- rebuild for updates

* Thu May 21 2015 pinoc <vogtpet at gmail.com> 1.5-3pclos2015
- updated BR and removed non-needed xft2-devel
- rebuild acc Fedora for 32/64 repo

* Sun Nov 21 2010 Texstar <texstar at gmail.com> 1.5-2pclos2010
- rebuild for new fltk

* Sat Apr 17 2010 slick50 <lxgator@gmail.com> 1.5-1pclos2010
- initial pkg

